{ config, lib, pkgs, ... }:

with lib;
let
  cfg = config.samfelag.modules.shell;
in
{
  imports = [
   ./zsh.nix
  ];

  options.samfelag.modules.shell = {
    enable = mkEnableOption "Basic shell config";
  };

  config = mkIf cfg.enable {

    home.packages = with pkgs; [
      bat
      exa
      fd
      fzf
      jq
      ripgrep
      tldr
    ];

    xdg.configFile."shell".source = ../../../config/.config/shell; 
  };
}
